
#include <stdio.h>
#include <stdlib.h>

#ifndef _GLOBAL_H_
#define _GLOBAL_H_

/*
 *  Used whenever a value is needed that is bigger than
 *  any integer value that could reasonably appear while
 *  solving an instruction scheduling problem.
 */
#define INFINITY	999999999

/*
 *  Convenient type definition.
 */
#ifndef WIN32
	typedef	char	BOOL;
#else
	typedef int     BOOL;
#endif

#define FALSE	0
#define TRUE	1

#ifndef WIN32
	#define max(a, b) (((a) > (b)) ? (a) : (b)) 
	#define min(a, b) (((a) < (b)) ? (a) : (b))
#endif

#endif

