/********************************************************************
* helper.h                                                          *
*********************************************************************
* Written by Mike Chase                                             *
*********************************************************************
* Purpose: Generic code used in potentially many places; may also   *
* contain code that solves cross-platform issues, such as           *
* implementations of string manipulation routines common on Windows *
* but not ported to Unix.                                           *
********************************************************************/

#ifndef _HELPER_H_
#define _HELPER_H_

#ifndef WIN32
	int   stricmp( const char *string1, const char *string2 );
	char *strlwr( char *string );
#endif


#endif
