#ifndef _LIST_H_
#define _LIST_H_

/* =================================================================
 *  Struct for an edge in an adjacency-list representation.
 */
typedef struct enode {
    int		 vertex;
    int		 latency;
    struct enode *next;
} ELEM;


/* =================================================================
 *  Routines for lists of edges
 */
void	  insertList( ELEM **list, int vertex, int latency );
void	  destroyList( ELEM *list );
int	  length( ELEM *list );

#endif
