#ifndef _SOLVE_H_
#define _SOLVE_H_

/* =================================================================
 *  Routines for scheduling a DAG.
 */
void listScheduler(
	DAG_type *DAG,
	int	 heuristic,
	int 	 order[],
	int 	 *finalCost,
	int 	 *finalLength,
	double	 *costWithFreq );

void optimalScheduler(
	DAG_type *DAG,
	int      order[],
	int      *finalStatus,
	int      *finalCost,
	int      *finalLength,
	double   *costWithFreq );

int  solveRegion( CSP_type *C, int s, int t, BOOL *inRegion, int *length );

#endif
