#ifndef _TIMER_H_
#define _TIMER_H_

#include "csp.h"

/* =================================================================
 *  Routines for timing and restarts.
 */
void	set_start_time_CSP( CSP_type *C );
double	elapsed_time_CSP( CSP_type *C );
void	set_absolute_CPU_limit( CSP_type *C, double time_limit );
void	set_relative_CPU_limit( CSP_type *C, double time_limit );
BOOL	limit_exceeded( CSP_type *C );
void    startGlobalStopwatch();
double  getGlobalStopwatchElapsedTime();

#endif
